The default text of a mail to the applicant (managers of the posting)
GET /api/hr/v1/recruiting/applications/{id}/mail-draft
Module: HR · operationId: getApplicationMailDraft · Tag: Recruiting · Auth: access token (Authorization: Bearer <accessToken>)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
kind |
query | string | yes | (one of confirmation, rejection, message) |
id |
path | string (uuid) | yes |
Responses
- 200 Subject and Markdown body (
application/json) - 400 Error (
application/json) - 403 Error (
application/json) - 404 Error (
application/json)
Fields of the 200 answer:
body(string, required): Markdown (max length 50000)subject(string, required): Subject of the mail (max length 300)
Example 200 answer:
{
"body": "Guten Tag Herr Lindner,\n\nvielen Dank für Ihr Interesse und das offene Gespräch. Wir haben uns für eine andere Bewerberin entschieden.\n\nMit freundlichen Grüßen\nMuster IT-Systemhaus GmbH – Personal",
"subject": "Ihre Bewerbung als Systemadministrator:in Microsoft 365"
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/hr/v1/recruiting/applications/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/mail-draft?kind=confirmation' \
-H "Authorization: Bearer $ACCESS_TOKEN"